<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: include/platform/radio.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d7/d62/radio_8h.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">radio.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file defines the radio interface for OpenThread.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for radio.h:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d8e/radio_8h__incl.png" border="0" usemap="#include_2platform_2radio_8h" alt=""/></div>
<map name="include_2platform_2radio_8h" id="include_2platform_2radio_8h">
<area shape="rect" id="node2" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="6,152,71,177"/>
<area shape="rect" id="node3" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="71,79,207,104"/>
<area shape="rect" id="node4" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="97,152,172,177"/>
<area shape="rect" id="node5" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="196,152,334,177"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d5d/radio_8h__dep__incl.png" border="0" usemap="#include_2platform_2radio_8hdep" alt=""/></div>
<map name="include_2platform_2radio_8hdep" id="include_2platform_2radio_8hdep">
<area shape="rect" id="node2" href="../../da/db5/mac_8hpp.html" title="This file includes definitions for the IEEE 802.15.4 MAC. " alt="" coords="1282,245,1435,271"/>
<area shape="rect" id="node10" href="../../d4/d64/joiner_8cpp.html" title="This file implements the Joiner role. " alt="" coords="3573,679,3760,704"/>
<area shape="rect" id="node12" href="../../da/d60/openthread_8cpp.html" title="This file implements the top&#45;level interface to the OpenThread stack. " alt="" coords="3962,679,4127,704"/>
<area shape="rect" id="node13" href="../../d4/d67/announce__begin__server_8cpp.html" title="This file implements the Announce Begin Server. " alt="" coords="5,672,178,711"/>
<area shape="rect" id="node14" href="../../d1/df9/mle_8cpp.html" title="This file implements MLE functionality required for the Thread Child, Router and Leader roles..." alt="" coords="2826,679,2987,704"/>
<area shape="rect" id="node29" href="../../d1/d97/mac__frame_8hpp.html" title="This file includes definitions for generating and processing IEEE 802.15.4 MAC frames. " alt="" coords="1381,79,1575,104"/>
<area shape="rect" id="node39" href="../../d3/d1b/diag__process_8hpp.html" title="This file contains definitions for the diagnostics module. " alt="" coords="3074,79,3251,104"/>
<area shape="rect" id="node42" href="../../d5/d6a/ncp__base_8cpp.html" title="This file implements a Spinel interface to the OpenThread stack. " alt="" coords="3275,159,3426,184"/>
<area shape="rect" id="node43" href="../../dd/d45/openthread_8h.html" title="This file defines the top&#45;level functions for the OpenThread library. " alt="" coords="3416,79,3562,104"/>
<area shape="rect" id="node3" href="../../d4/dd9/mac_8cpp.html" title="This file implements the subset of IEEE 802.15.4 primitives required for Thread. " alt="" coords="570,679,722,704"/>
<area shape="rect" id="node4" href="../../d9/d2d/address__resolver_8hpp.html" title="This file includes definitions for Thread EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="1275,412,1436,451"/>
<area shape="rect" id="node6" href="../../da/d80/mesh__forwarder_8hpp.html" title="This file includes definitions for forwarding IPv6 datagrams across the Thread mesh. " alt="" coords="1138,499,1285,537"/>
<area shape="rect" id="node9" href="../../d1/d54/thread__netif_8hpp.html" title="This file includes definitions for the Thread network interface. " alt="" coords="1490,585,1642,624"/>
<area shape="rect" id="node20" href="../../d0/d78/mle_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Child, Router, and Leader roles. " alt="" coords="1874,332,2035,357"/>
<area shape="rect" id="node28" href="../../d4/dbe/global__address_8cpp.html" title="This file implements the Thread IPv6 global addresses configuration utilities. " alt="" coords="1349,325,1485,364"/>
<area shape="rect" id="node5" href="../../de/d27/address__resolver_8cpp.html" title="This file implements Thread&#39;s EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="1096,672,1258,711"/>
<area shape="rect" id="node7" href="../../df/d6b/mesh__forwarder_8cpp.html" title="This file implements mesh forwarding of IPv6/6LoWPAN messages. " alt="" coords="2472,672,2618,711"/>
<area shape="rect" id="node8" href="../../d1/da2/network__diag_8cpp.html" title="This file implements Thread&#39;s Network Diagnostic processing. " alt="" coords="906,672,1067,711"/>
<area shape="rect" id="node11" href="../../db/dc3/joiner__router_8cpp.html" title="This file implements the Joiner Router role. " alt="" coords="1686,672,1849,711"/>
<area shape="rect" id="node15" href="../../d9/d88/mle__router_8cpp.html" title="This file implements MLE functionality required for the Thread Router and Leader roles. " alt="" coords="747,672,882,711"/>
<area shape="rect" id="node16" href="../../d9/d20/network__data_8cpp.html" title="This file implements common methods for manipulating Thread Network Data. " alt="" coords="202,672,363,711"/>
<area shape="rect" id="node17" href="../../d0/d0f/network__data__leader_8cpp.html" title="This file implements the Thread Network Data managed by the Thread Leader. " alt="" coords="386,672,547,711"/>
<area shape="rect" id="node18" href="../../dd/d90/network__data__local_8cpp.html" title="This file implements the local Thread Network Data. " alt="" coords="2642,672,2803,711"/>
<area shape="rect" id="node19" href="../../db/d84/thread__netif_8cpp.html" title="This file implements the Thread network interface. " alt="" coords="2073,672,2225,711"/>
<area shape="rect" id="node21" href="../../d4/da4/commissioner_8hpp.html" title="This file includes definitions for the Commissioner role. " alt="" coords="2741,419,2978,444"/>
<area shape="rect" id="node22" href="../../d9/d7e/leader_8hpp.html" title="This file includes definitions for a MeshCoP Leader. " alt="" coords="1855,419,2048,444"/>
<area shape="rect" id="node23" href="../../d5/d8d/ip6_8cpp.html" title="This file implements IPv6 networking. " alt="" coords="2173,419,2311,444"/>
<area shape="rect" id="node24" href="../../de/db9/ip6__filter_8cpp.html" title="This file implements IPv6 datagram filtering. " alt="" coords="3256,419,3426,444"/>
<area shape="rect" id="node25" href="../../d2/d1d/meshcop__dataset__manager_8hpp.html" title="This file includes definitions for managing MeshCoP Datasets. " alt="" coords="1512,412,1680,451"/>
<area shape="rect" id="node26" href="../../d6/d6f/mle__router_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Router and Leader roles..." alt="" coords="928,499,1063,537"/>
<area shape="rect" id="node27" href="../../d8/d26/thread__tlvs_8hpp.html" title="This file includes definitions and methods for generating and processing Thread Network Layer TLVs..." alt="" coords="642,412,794,451"/>
<area shape="rect" id="node30" href="../../d5/d8c/message_8hpp.html" title="This file includes definitions for the message buffer pool and message buffers. " alt="" coords="2192,159,2399,184"/>
<area shape="rect" id="node31" href="../../da/d7f/joiner__router_8hpp.html" title="This file includes definitions for the Joiner Router role. " alt="" coords="1992,239,2154,277"/>
<area shape="rect" id="node32" href="../../d0/d86/netif_8hpp.html" title="This file includes definitions for IPv6 network interfaces. " alt="" coords="2421,332,2567,357"/>
<area shape="rect" id="node33" href="../../de/d66/lowpan_8hpp.html" title="This file includes definitions for 6LoWPAN header compression. " alt="" coords="1071,245,1253,271"/>
<area shape="rect" id="node34" href="../../de/d6e/mac__blacklist_8hpp.html" title="This file includes definitions for IEEE 802.15.4 frame filtering based on MAC address. " alt="" coords="1260,159,1467,184"/>
<area shape="rect" id="node35" href="../../d3/d9e/mac__frame_8cpp.html" title="This file implements IEEE 802.15.4 header generation and processing. " alt="" coords="1772,159,1966,184"/>
<area shape="rect" id="node36" href="../../d6/d79/mac__whitelist_8hpp.html" title="This file includes definitions for IEEE 802.15.4 frame filtering based on MAC address. " alt="" coords="1491,159,1698,184"/>
<area shape="rect" id="node37" href="../../d2/db6/ip6__address_8cpp.html" title="This file implements IPv6 addresses. " alt="" coords="1043,159,1236,184"/>
<area shape="rect" id="node38" href="../../df/d4b/topology_8hpp.html" title="This file includes definitions for maintaining Thread network topologies. " alt="" coords="830,159,1020,184"/>
<area shape="rect" id="node40" href="../../d0/d76/diag__process_8cpp.html" title="This file implements the diagnostics module. " alt="" coords="3074,159,3250,184"/>
<area shape="rect" id="node41" href="../../d5/dce/openthread-diag_8cpp.html" title="This file implements the top&#45;level interface to diagnostics module. " alt="" coords="2911,152,3051,191"/>
<area shape="rect" id="node44" href="../../dd/d48/cli_8cpp.html" title="This file implements the CLI interpreter. " alt="" coords="3602,159,3699,184"/>
<area shape="rect" id="node45" href="../../d3/d16/cli__dataset_8cpp.html" title="This file implements the CLI interpreter. " alt="" coords="3723,159,3871,184"/>
<area shape="rect" id="node46" href="../../d0/d54/tasklet_8cpp.html" title="This file implements the tasklet scheduler. " alt="" coords="3895,159,4086,184"/>
<area shape="rect" id="node47" href="../../da/d32/ip6__filter_8hpp.html" title="This file includes definitions for IPv6 datagram filtering. " alt="" coords="3154,332,3325,357"/>
<area shape="rect" id="node48" href="../../da/dfc/socket_8hpp.html" title="This file includes definitions for IPv6 sockets. " alt="" coords="2896,245,3055,271"/>
<area shape="rect" id="node49" href="../../d3/d23/tcp_8hpp.html" title="This file includes definitions for parsing TCP header. " alt="" coords="3552,245,3690,271"/>
<area shape="rect" id="node50" href="../../d0/db7/udp6_8hpp.html" title="This file includes definitions for UDP/IPv6 sockets. " alt="" coords="2474,159,2624,184"/>
</map>
</div>
</div>
<p><a href="../../d7/d62/radio_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/ddc/structRadioPacket.html">RadioPacket</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents an IEEE 802.15.4 radio frame.  <a href="../../db/ddc/structRadioPacket.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:gaaba4bf6660fc977d5f260bbc4759db49"><td class="memItemLeft" align="right" valign="top">
typedef enum <a class="el" href="../../db/d1b/group__radio-types.html#ga64d6a0cf11075e2ab0079c9d86c34b55">otRadioCaps</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d1b/group__radio-types.html#gaaba4bf6660fc977d5f260bbc4759db49">otRadioCaps</a></td></tr>
<tr class="memdesc:gaaba4bf6660fc977d5f260bbc4759db49"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enum represents radio capabilities. <br /></td></tr>
<tr class="separator:gaaba4bf6660fc977d5f260bbc4759db49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4ec1493a92b716164820cfc6f63d0727"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="../../db/ddc/structRadioPacket.html">RadioPacket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d1b/group__radio-types.html#ga4ec1493a92b716164820cfc6f63d0727">RadioPacket</a></td></tr>
<tr class="memdesc:ga4ec1493a92b716164820cfc6f63d0727"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents an IEEE 802.15.4 radio frame. <br /></td></tr>
<tr class="separator:ga4ec1493a92b716164820cfc6f63d0727"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4fc9607be8fe78429890574e85da2e1"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="../../db/d1b/group__radio-types.html#gae1ff73e01c49ff0cb218e4efd1b01fbc">PhyState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d1b/group__radio-types.html#gae4fc9607be8fe78429890574e85da2e1">PhyState</a></td></tr>
<tr class="memdesc:gae4fc9607be8fe78429890574e85da2e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents the state of a radio.  <a href="../../db/d1b/group__radio-types.html#gae4fc9607be8fe78429890574e85da2e1">More...</a><br /></td></tr>
<tr class="separator:gae4fc9607be8fe78429890574e85da2e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga4d29ca5db06e2ae647d1ec22548a9d2a"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aa7814f5ab606236acae270c705e38304c">kMaxPHYPacketSize</a> = 127, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aaac68aa0095ba8fbe62f4399af20f356a">kPhyMinChannel</a> = 11, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aa689ec26cf2ac6ae2817bf368fe7df96f">kPhyMaxChannel</a> = 26, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aa5a1f12f32a9eae0d14e32a1862d9ac90">kPhySupportedChannelMask</a> = 0xffff &lt;&lt; kPhyMinChannel, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aae6f1637d0c6947bb3a2b034d31fc9051">kPhySymbolsPerOctet</a> = 2, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aafe33924e8801f0b816fb9be77240f2e1">kPhyBitRate</a> = 250000, 
<br />
&#160;&#160;<b>kPhyBitsPerOctet</b> = 8, 
<br />
&#160;&#160;<b>kPhyUsPerSymbol</b> = ((kPhyBitsPerOctet / kPhySymbolsPerOctet) * 1000000) / kPhyBitRate, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aa095a69d0c6de326b526121b98031b3af">kPhyNoLqi</a> = 0
<br />
 }</td></tr>
<tr class="separator:ga4d29ca5db06e2ae647d1ec22548a9d2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64d6a0cf11075e2ab0079c9d86c34b55"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d1b/group__radio-types.html#ga64d6a0cf11075e2ab0079c9d86c34b55">otRadioCaps</a> { <br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga64d6a0cf11075e2ab0079c9d86c34b55af71ef7e6e8404c56664ad79012c2ae4c">kRadioCapsNone</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga64d6a0cf11075e2ab0079c9d86c34b55a7f68645873c299b0b509b591cece61d4">kRadioCapsAckTimeout</a> = 1, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga64d6a0cf11075e2ab0079c9d86c34b55ab5a631b2f466b87b4cd38d785a6f0a83">kRadioCapsEnergyScan</a> = 2
<br />
 }<tr class="memdesc:ga64d6a0cf11075e2ab0079c9d86c34b55"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enum represents radio capabilities.  <a href="../../db/d1b/group__radio-types.html#ga64d6a0cf11075e2ab0079c9d86c34b55">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:ga64d6a0cf11075e2ab0079c9d86c34b55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae1ff73e01c49ff0cb218e4efd1b01fbc"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d1b/group__radio-types.html#gae1ff73e01c49ff0cb218e4efd1b01fbc">PhyState</a> { <br />
&#160;&#160;<b>kStateDisabled</b> = 0, 
<br />
&#160;&#160;<b>kStateSleep</b> = 1, 
<br />
&#160;&#160;<b>kStateReceive</b> = 2, 
<br />
&#160;&#160;<b>kStateTransmit</b> = 3
<br />
 }<tr class="memdesc:gae1ff73e01c49ff0cb218e4efd1b01fbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents the state of a radio.  <a href="../../db/d1b/group__radio-types.html#gae1ff73e01c49ff0cb218e4efd1b01fbc">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:gae1ff73e01c49ff0cb218e4efd1b01fbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga6940d730c862fae890f3a2912000002d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d69/group__radio-config.html#ga6940d730c862fae890f3a2912000002d">otPlatRadioGetIeeeEui64</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint8_t *aIeeeEui64)</td></tr>
<tr class="memdesc:ga6940d730c862fae890f3a2912000002d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the factory-assigned IEEE EUI-64 for this interface.  <a href="../../d1/d69/group__radio-config.html#ga6940d730c862fae890f3a2912000002d">More...</a><br /></td></tr>
<tr class="separator:ga6940d730c862fae890f3a2912000002d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8497b9950b7d61cf0ce336a755871b81"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d69/group__radio-config.html#ga8497b9950b7d61cf0ce336a755871b81">otPlatRadioSetPanId</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint16_t aPanId)</td></tr>
<tr class="memdesc:ga8497b9950b7d61cf0ce336a755871b81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the PAN ID for address filtering.  <a href="../../d1/d69/group__radio-config.html#ga8497b9950b7d61cf0ce336a755871b81">More...</a><br /></td></tr>
<tr class="separator:ga8497b9950b7d61cf0ce336a755871b81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae147bd61d63cc6364c05e3c7234146e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d69/group__radio-config.html#gae147bd61d63cc6364c05e3c7234146e6">otPlatRadioSetExtendedAddress</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint8_t *aExtendedAddress)</td></tr>
<tr class="memdesc:gae147bd61d63cc6364c05e3c7234146e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Extended Address for address filtering.  <a href="../../d1/d69/group__radio-config.html#gae147bd61d63cc6364c05e3c7234146e6">More...</a><br /></td></tr>
<tr class="separator:gae147bd61d63cc6364c05e3c7234146e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a58663d2bdcc4f3d89fda081a59cdb7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d69/group__radio-config.html#ga1a58663d2bdcc4f3d89fda081a59cdb7">otPlatRadioSetShortAddress</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint16_t aShortAddress)</td></tr>
<tr class="memdesc:ga1a58663d2bdcc4f3d89fda081a59cdb7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Short Address for address filtering.  <a href="../../d1/d69/group__radio-config.html#ga1a58663d2bdcc4f3d89fda081a59cdb7">More...</a><br /></td></tr>
<tr class="separator:ga1a58663d2bdcc4f3d89fda081a59cdb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad2f1f79b0fe0bb9015fd996c723ed52e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#gad2f1f79b0fe0bb9015fd996c723ed52e">otPlatRadioEnable</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:gad2f1f79b0fe0bb9015fd996c723ed52e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the radio.  <a href="../../d7/d9c/group__radio-operation.html#gad2f1f79b0fe0bb9015fd996c723ed52e">More...</a><br /></td></tr>
<tr class="separator:gad2f1f79b0fe0bb9015fd996c723ed52e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5b14c6db562150d0a80c47ef278e5ab8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga5b14c6db562150d0a80c47ef278e5ab8">otPlatRadioDisable</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ga5b14c6db562150d0a80c47ef278e5ab8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable the radio.  <a href="../../d7/d9c/group__radio-operation.html#ga5b14c6db562150d0a80c47ef278e5ab8">More...</a><br /></td></tr>
<tr class="separator:ga5b14c6db562150d0a80c47ef278e5ab8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf26840dd6a3c6bd1da7156127c8306f5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#gaf26840dd6a3c6bd1da7156127c8306f5">otPlatRadioIsEnabled</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:gaf26840dd6a3c6bd1da7156127c8306f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check whether radio is enabled or not.  <a href="../../d7/d9c/group__radio-operation.html#gaf26840dd6a3c6bd1da7156127c8306f5">More...</a><br /></td></tr>
<tr class="separator:gaf26840dd6a3c6bd1da7156127c8306f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga979f5ee2e63f0cba66f372149b2ac013"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga979f5ee2e63f0cba66f372149b2ac013">otPlatRadioSleep</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ga979f5ee2e63f0cba66f372149b2ac013"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transition the radio from Receive to Sleep.  <a href="../../d7/d9c/group__radio-operation.html#ga979f5ee2e63f0cba66f372149b2ac013">More...</a><br /></td></tr>
<tr class="separator:ga979f5ee2e63f0cba66f372149b2ac013"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga063a389dc7d1e68cbe495cc3cff758c1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga063a389dc7d1e68cbe495cc3cff758c1">otPlatRadioReceive</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint8_t aChannel)</td></tr>
<tr class="memdesc:ga063a389dc7d1e68cbe495cc3cff758c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transitioning the radio from Sleep to Receive.  <a href="../../d7/d9c/group__radio-operation.html#ga063a389dc7d1e68cbe495cc3cff758c1">More...</a><br /></td></tr>
<tr class="separator:ga063a389dc7d1e68cbe495cc3cff758c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabb1f75e02a0c91b2db8e1325e8575861"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#gabb1f75e02a0c91b2db8e1325e8575861">otPlatRadioEnableSrcMatch</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, bool aEnable)</td></tr>
<tr class="memdesc:gabb1f75e02a0c91b2db8e1325e8575861"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/Disable source match for AutoPend.  <a href="../../d7/d9c/group__radio-operation.html#gabb1f75e02a0c91b2db8e1325e8575861">More...</a><br /></td></tr>
<tr class="separator:gabb1f75e02a0c91b2db8e1325e8575861"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5e1cf45dd77ef0608056f2e9cf992d8d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga5e1cf45dd77ef0608056f2e9cf992d8d">otPlatRadioAddSrcMatchShortEntry</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, const uint16_t aShortAddress)</td></tr>
<tr class="memdesc:ga5e1cf45dd77ef0608056f2e9cf992d8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adding short address to the source match table.  <a href="../../d7/d9c/group__radio-operation.html#ga5e1cf45dd77ef0608056f2e9cf992d8d">More...</a><br /></td></tr>
<tr class="separator:ga5e1cf45dd77ef0608056f2e9cf992d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f24dc46cba2235b6dea0670df50a5c2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga3f24dc46cba2235b6dea0670df50a5c2">otPlatRadioAddSrcMatchExtEntry</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, const uint8_t *aExtAddress)</td></tr>
<tr class="memdesc:ga3f24dc46cba2235b6dea0670df50a5c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adding extended address to the source match table.  <a href="../../d7/d9c/group__radio-operation.html#ga3f24dc46cba2235b6dea0670df50a5c2">More...</a><br /></td></tr>
<tr class="separator:ga3f24dc46cba2235b6dea0670df50a5c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga923d941e8a4d37be5d41de6be4fc275f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga923d941e8a4d37be5d41de6be4fc275f">otPlatRadioClearSrcMatchShortEntry</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, const uint16_t aShortAddress)</td></tr>
<tr class="memdesc:ga923d941e8a4d37be5d41de6be4fc275f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removing short address to the source match table.  <a href="../../d7/d9c/group__radio-operation.html#ga923d941e8a4d37be5d41de6be4fc275f">More...</a><br /></td></tr>
<tr class="separator:ga923d941e8a4d37be5d41de6be4fc275f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57238173bfc0ad9cce66e999f9ad3234"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga57238173bfc0ad9cce66e999f9ad3234">otPlatRadioClearSrcMatchExtEntry</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, const uint8_t *aExtAddress)</td></tr>
<tr class="memdesc:ga57238173bfc0ad9cce66e999f9ad3234"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removing extended address to the source match table of the radio.  <a href="../../d7/d9c/group__radio-operation.html#ga57238173bfc0ad9cce66e999f9ad3234">More...</a><br /></td></tr>
<tr class="separator:ga57238173bfc0ad9cce66e999f9ad3234"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga95d8f1c200b49f481d117765ec7a66d4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga95d8f1c200b49f481d117765ec7a66d4">otPlatRadioClearSrcMatchShortEntries</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ga95d8f1c200b49f481d117765ec7a66d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removing all the short addresses from the source match table.  <a href="../../d7/d9c/group__radio-operation.html#ga95d8f1c200b49f481d117765ec7a66d4">More...</a><br /></td></tr>
<tr class="separator:ga95d8f1c200b49f481d117765ec7a66d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f50253b5f4847da0444a001e014ba65"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga3f50253b5f4847da0444a001e014ba65">otPlatRadioClearSrcMatchExtEntries</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ga3f50253b5f4847da0444a001e014ba65"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removing all the extended addresses from the source match table.  <a href="../../d7/d9c/group__radio-operation.html#ga3f50253b5f4847da0444a001e014ba65">More...</a><br /></td></tr>
<tr class="separator:ga3f50253b5f4847da0444a001e014ba65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga75836c10d52472c0dfca98f490c4a5f7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga75836c10d52472c0dfca98f490c4a5f7">otPlatRadioReceiveDone</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, <a class="el" href="../../db/ddc/structRadioPacket.html">RadioPacket</a> *aPacket, <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> aError)</td></tr>
<tr class="memdesc:ga75836c10d52472c0dfca98f490c4a5f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The radio driver calls this method to notify OpenThread of a received packet.  <a href="../../d7/d9c/group__radio-operation.html#ga75836c10d52472c0dfca98f490c4a5f7">More...</a><br /></td></tr>
<tr class="separator:ga75836c10d52472c0dfca98f490c4a5f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafe1fdf44907fccdb06be0db517d4fb01"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../db/ddc/structRadioPacket.html">RadioPacket</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#gafe1fdf44907fccdb06be0db517d4fb01">otPlatRadioGetTransmitBuffer</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:gafe1fdf44907fccdb06be0db517d4fb01"><td class="mdescLeft">&#160;</td><td class="mdescRight">The radio transitions from Transmit to Receive.  <a href="../../d7/d9c/group__radio-operation.html#gafe1fdf44907fccdb06be0db517d4fb01">More...</a><br /></td></tr>
<tr class="separator:gafe1fdf44907fccdb06be0db517d4fb01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga23aa0adfee1ed815c98fc3c087700ed1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga23aa0adfee1ed815c98fc3c087700ed1">otPlatRadioTransmit</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ga23aa0adfee1ed815c98fc3c087700ed1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method begins the transmit sequence on the radio.  <a href="../../d7/d9c/group__radio-operation.html#ga23aa0adfee1ed815c98fc3c087700ed1">More...</a><br /></td></tr>
<tr class="separator:ga23aa0adfee1ed815c98fc3c087700ed1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7d10a9bce7521f75bd84b32b979e1aa7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga7d10a9bce7521f75bd84b32b979e1aa7">otPlatRadioTransmitDone</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, bool aFramePending, <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> aError)</td></tr>
<tr class="memdesc:ga7d10a9bce7521f75bd84b32b979e1aa7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The radio driver calls this method to notify OpenThread that the transmission has completed.  <a href="../../d7/d9c/group__radio-operation.html#ga7d10a9bce7521f75bd84b32b979e1aa7">More...</a><br /></td></tr>
<tr class="separator:ga7d10a9bce7521f75bd84b32b979e1aa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4ac10bba73d06f59af623bbb3349d3fb"><td class="memItemLeft" align="right" valign="top">int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga4ac10bba73d06f59af623bbb3349d3fb">otPlatRadioGetRssi</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ga4ac10bba73d06f59af623bbb3349d3fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the most recent RSSI measurement.  <a href="../../d7/d9c/group__radio-operation.html#ga4ac10bba73d06f59af623bbb3349d3fb">More...</a><br /></td></tr>
<tr class="separator:ga4ac10bba73d06f59af623bbb3349d3fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5a5999dadb6ac0ee70a69a960930f132"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../db/d1b/group__radio-types.html#ga64d6a0cf11075e2ab0079c9d86c34b55">otRadioCaps</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga5a5999dadb6ac0ee70a69a960930f132">otPlatRadioGetCaps</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ga5a5999dadb6ac0ee70a69a960930f132"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the radio capabilities.  <a href="../../d7/d9c/group__radio-operation.html#ga5a5999dadb6ac0ee70a69a960930f132">More...</a><br /></td></tr>
<tr class="separator:ga5a5999dadb6ac0ee70a69a960930f132"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaef6191a2f5c0dd177dc009dae3796e8e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#gaef6191a2f5c0dd177dc009dae3796e8e">otPlatRadioGetPromiscuous</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:gaef6191a2f5c0dd177dc009dae3796e8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the status of promiscuous mode.  <a href="../../d7/d9c/group__radio-operation.html#gaef6191a2f5c0dd177dc009dae3796e8e">More...</a><br /></td></tr>
<tr class="separator:gaef6191a2f5c0dd177dc009dae3796e8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0a905ad5c76c5931ee2ef395342f0dca"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga0a905ad5c76c5931ee2ef395342f0dca">otPlatRadioSetPromiscuous</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, bool aEnable)</td></tr>
<tr class="memdesc:ga0a905ad5c76c5931ee2ef395342f0dca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable or disable promiscuous mode.  <a href="../../d7/d9c/group__radio-operation.html#ga0a905ad5c76c5931ee2ef395342f0dca">More...</a><br /></td></tr>
<tr class="separator:ga0a905ad5c76c5931ee2ef395342f0dca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3554fa9c78ba169eb13483533ed9f20c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga3554fa9c78ba169eb13483533ed9f20c">otPlatDiagRadioTransmitDone</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, bool aFramePending, <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> aError)</td></tr>
<tr class="memdesc:ga3554fa9c78ba169eb13483533ed9f20c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The radio driver calls this method to notify OpenThread diagnostics module that the transmission has completed.  <a href="../../d7/d9c/group__radio-operation.html#ga3554fa9c78ba169eb13483533ed9f20c">More...</a><br /></td></tr>
<tr class="separator:ga3554fa9c78ba169eb13483533ed9f20c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa0be6d07fec8fccc00da07a29d698d6d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#gaa0be6d07fec8fccc00da07a29d698d6d">otPlatDiagRadioReceiveDone</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, <a class="el" href="../../db/ddc/structRadioPacket.html">RadioPacket</a> *aPacket, <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> aError)</td></tr>
<tr class="memdesc:gaa0be6d07fec8fccc00da07a29d698d6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The radio driver calls this method to notify OpenThread diagnostics module of a received packet.  <a href="../../d7/d9c/group__radio-operation.html#gaa0be6d07fec8fccc00da07a29d698d6d">More...</a><br /></td></tr>
<tr class="separator:gaa0be6d07fec8fccc00da07a29d698d6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae3b9ed222f4ad93e1d09e285b57be1ef"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#gae3b9ed222f4ad93e1d09e285b57be1ef">otPlatRadioEnergyScan</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint8_t aScanChannel, uint16_t aScanDuration)</td></tr>
<tr class="memdesc:gae3b9ed222f4ad93e1d09e285b57be1ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method begins the energy scan sequence on the radio.  <a href="../../d7/d9c/group__radio-operation.html#gae3b9ed222f4ad93e1d09e285b57be1ef">More...</a><br /></td></tr>
<tr class="separator:gae3b9ed222f4ad93e1d09e285b57be1ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga65b11fca984c76f2b4bc782cd1e4811a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d9c/group__radio-operation.html#ga65b11fca984c76f2b4bc782cd1e4811a">otPlatRadioEnergyScanDone</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, int8_t aEnergyScanMaxRssi)</td></tr>
<tr class="memdesc:ga65b11fca984c76f2b4bc782cd1e4811a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The radio driver calls this method to notify OpenThread that the energy scan is complete.  <a href="../../d7/d9c/group__radio-operation.html#ga65b11fca984c76f2b4bc782cd1e4811a">More...</a><br /></td></tr>
<tr class="separator:ga65b11fca984c76f2b4bc782cd1e4811a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file defines the radio interface for OpenThread. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="../../dir_ac186d3e8926949364e5821f25491cc3.html">platform</a></li><li class="navelem"><a class="el" href="../../d7/d62/radio_8h.html">radio.h</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
